@import url("https://fonts.googleapis.com/css2?family=Poppins:ital,wght@0,100;0,200;0,300;0,400;0,500;0,600;0,700;0,800;0,900;1,100;1,200;1,300;1,400;1,500;1,600;1,700;1,800;1,900&display=swap");

/* global styles */
* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
  -webkit-box-sizing: border-box;
  -moz-box-sizing: border-box;
  -webkit-font-smoothing: antialiased;
  -moz-font-smoothing: antialiased;
  -o-font-smoothing: antialiased;
  /* font-smoothing: antialiased; */
  text-rendering: optimizeLegibility;
}

/* set up color scheme variables */

:root {
  --bg-dark-blue: #0b1930;
  --bg-dark-blue2: #1b4751;
  --text-color1: #c3ceec;
  --text-color2: #949ebc;
  --accent-color: #5ff1cf;
  --dk-accent-color: #43ae9e;

  /* --accent-color: #f15025;
  --white: #ffffff;
  --platinum: #e6e8e6;
  --light-gray: #ced0ce;
  --black: #191919; */
}

html {
  scroll-behavior: smooth;
  scrollbar-width: none;
  font-size: 16px;
  font-family: "Poppins", sans-serif;
}

body {
  background-color: var(--bg-dark-blue);
  /* height: 100vh; */
  min-height: 100vh;
  width: 100vw;
  -ms-overflow-style: none;
}
body::-webkit-scrollbar {
  display: none;
}

/* Navigation Bar Styling starts */

nav {
  display: flex;
  align-items: center;
  justify-content: space-between;
  padding-top: 8px;
  padding-bottom: 10px;
  padding-right: 10%;
  padding-left: 10%;
  box-shadow: 0 0 20px 0 rgba(0, 0, 0, 0.2), 0 5px 5px 0 rgba(0, 0, 0, 0.24);
}

nav ul li {
  list-style: none;
  display: inline-block;
  padding: 10px 20px;
}

nav ul li a {
  color: var(--text-color2);
  text-decoration: none;
  font-size: 1.3rem;
}

nav ul li a:hover {
  color: var(--accent-color);
  transition: 0.3s;
}

#button-nav {
  padding: 8px 12px;
  letter-spacing: 1.5px;
}

button {
  margin-top: 8px;
  background-color: var(--bg-dark-blue);
  border: 1px solid var(--accent-color);
  padding: 15px 50px;
  /* border-radius: 30px; */
  color: var(--text-color2);
  /* font-weight: bold; */
  font-size: 1.5rem;
  transition: 0.5s;
  letter-spacing: 1.5px;
}

button:hover {
  /* transform: scale(1.2); */
  cursor: pointer;
  background: rgba(95, 241, 207, 0.1);
}
/* nav bar styling ends */

/* logo style starts */

.content {
  position: relative;
}

.content h2 {
  color: var(--accent-color);
  font-size: 4.5em;
  position: absolute;
  transform: translate(-50%, -50%);
}

.content h2:nth-child(1) {
  color: transparent;
  /* change the colors of the letter outline */
  -webkit-text-stroke: 2px var(--text-color2);
}

.content h2:nth-child(2) {
  /* changes the color of the liquid on first letter  */
  color: var(--accent-color);
  animation: animate 4s ease-in-out infinite;
}

@keyframes animate {
  0%,
  100% {
    clip-path: polygon(
      0% 45%,
      16% 44%,
      33% 50%,
      54% 60%,
      70% 61%,
      84% 59%,
      100% 52%,
      100% 100%,
      0% 100%
    );
  }

  50% {
    clip-path: polygon(
      0% 60%,
      15% 65%,
      34% 66%,
      51% 62%,
      67% 50%,
      84% 45%,
      100% 46%,
      100% 100%,
      0% 100%
    );
  }
}

.content h2:nth-child(2):hover {
  color: var(--text-color2);
}

/* logo style ends */

/* home styling starts */

/* home container styling  */
.home-container {
  height: 100px;
  /* height: 100vh; */
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
  /* margin-top: 200px; */
  padding-top: 350px;
  /* padding-bottom: 50px; */
}

.home-button-container {
  padding-top: 20px;
  /* padding: 12px 30px; */
}
/* home container styling ends */

/* Animated Text styling */
.wrapper {
  display: flex;
}

.wrapper .static-txt {
  color: var(--text-color2);
  font-size: 60px;
  font-weight: 400;
}

.wrapper .dynamic-txts {
  margin-left: 15px;
  line-height: 90px;
  height: 90px;
  overflow: hidden;
}

.dynamic-txts li {
  list-style: none;
  color: var(--accent-color);
  font-size: 60px;
  font-weight: 500;
  top: 0;
  position: relative;
  animation: slide 12s steps(4) infinite;
}

@keyframes slide {
  100% {
    top: -360px;
  }
}

.dynamic-txts li {
  position: relative;
  line-height: 90px;
}

.dynamic-txts li::after {
  content: "";
  position: absolute;
  left: 0;
  width: 100%;
  height: 100%;
  background-color: var(--bg-dark-blue);
  border-left: 2px solid var(--accent-color);
  animation: typing 3s steps(13) infinite;
}

@keyframes typing {
  40%,
  60% {
    left: calc(100% + 30px);
  }
  100% {
    left: 0;
  }
}
/* animated text ends */

/* side nav bar styling starts */
.left-side-navbar {
  /* border: 1px solid #333; */
  position: -webkit-sticky;
  position: sticky;
  top: 20px;
  float: left;
  /* height: 250px; */
  width: 70px;
  padding-top: 100px;
  /* box-shadow: 2px 2px 8px 0 rgba(0, 0, 0, 0.4); */
}

.left-side-navbar li {
  position: relative;
  list-style: none;
  /* display: block; */
  padding: 10px;
  text-align: center;
  font-size: 1.5rem;
  font-weight: bold;
  transition: 0.3s;
}

.left-side-navbar li a {
  color: var(--text-color2);
  text-decoration: none;
  list-style: none;
}

.left-side-navbar li a:hover {
  /* background-color: var(--accent-color); */
  color: var(--accent-color);
  transition: 0.3s;
}
/* side nav bar styling ends */

/* verticl line under sidebar styling starts */

/* .lf-vl {
  border-left: 2px solid var(--text-color2);
  height: 200px;
  margin-top: 350px;
  margin-left: 35px;
  position: fixed;
  top: 0;
  top: 20px;
} *

/* verticl line under sidebar styling ends */

/* vertical text styling starts*/
.right-side-navbar {
  position: -webkit-sticky;
  position: sticky;
  top: 20px;
  float: right;
  height: 250px;
  width: 70px;
  padding-top: 100px;
  /* border: 1px solid #333; */
  /* position: relative; */
  /* position: -webkit-sticky; */
  /* position: sticky; */
  /* right: 0; */
  /* float: right; */
  height: 250px;
  width: 70px;
  writing-mode: vertical-rl;
  /* margin-top: -450px; */
  /* box-shadow: 2px 2px 8px 0 rgba(0, 0, 0, 0.4); */
}

.right-side-navbar p {
  color: var(--text-color2);
  padding: 25px;
  transition: 0.3s;
  cursor: pointer;
}

.right-side-navbar p:hover {
  color: var(--accent-color);
  transition: 0.3s;
}
/* vertical text styling ends */

/* vertical line under text starts */
.rt-vl {
  border-right: 2px solid var(--text-color2);
  height: 200px;
  /* margin-top: -190px; */
  margin-right: 38px;
  position: fixed;
  right: 0;
}
/* vertical line under text starts */

/* home styling ends */

/* About Me section styling */
.section {
  padding-top: 400px;
  padding-bottom: 500px;
  width: 100%;
  /* height: 500px; */
  background-color: var(--bg-dark-blue);
  margin-left: 25px;
  margin-right: 25px;
}

.container-about {
  width: 80%;
  display: block;
  margin: auto;
  /* padding-top: 100px; */
}

.content-section {
  float: left;
  width: 55%;
}

.image-section {
  float: right;
  width: 40%;
}

.image-section img {
  width: 80%;
  height: auto;
  /* color: var(--accent-color); */
  /* filter: invert(0%) sepia(65%) saturate(80%) hue-rotate(101deg)
    brightness(102%) contrast(89%) opacity(100%);
  -webkit-filter: invert(0%) sepia(65%) saturate(80%) hue-rotate(101deg)
    brightness(102%) contrast(89%) opacity(100%); */
  /* filter: var(--accent-color) (100%);
  -webkit-filter: var(--accent-color) (100%); */
}

.image-section img:hover {
  filter: none;
}

.content-section .title h1 {
  /* text-transform: uppercase; */
  font-size: 22px;
}

h1 span {
  color: var(--accent-color);
}

hr.line {
  display: inline-block;
  margin-left: 150px;
  margin-top: -15px;
  width: 25%;
  position: absolute;
  background-color: var(--text-color2);
  height: 0.1px;
  border: 0;
}

.content-section .title h1 {
  color: var(--text-color1);
}

.content-section .content h3 {
  margin-top: 20px;
  color: var(--text-color2);
  font-size: 21px;
}

.content-section .content p {
  margin-top: 10px;
  font-family: sans-serif;
  font-size: 18px;
  line-height: 1.5;
  color: var(--text-color2);
}

.content-section .content .button {
  margin-top: 30px;
}

.content-section .content .button a {
  background-color: var(--bg-dark-blue);
  border: 1px solid var(--accent-color);
  padding: 10px 25px;
  text-decoration: none;
  color: var(--text-color2);
  font-size: 1.5rem;
  letter-spacing: 1.5px;
}

.content-section .content .button a:hover {
  background: rgba(95, 241, 207, 0.1);
  color: var(--text-color2);
}

/* .content-section .social {
  margin: 40px 40px;
}

.content-section .social i {
  font-size: 30px;
  color: #a52a2a;
  padding: 0px 10px;
}

.content-section .social i:hover {
  color: #3d3d3d;
} */
/* About Me Styling ends */

/* Services Section */

.services-container {
  /* height: 100vh; */
  font-family: "Poppins", sans-serif;
  margin-left: 35px;
  margin-right: 35px;
  /* padding-top: 200px; */
  padding-bottom: 150px;
}

.services-header h1 {
  color: var(--text-color1);
  font-size: 22px;
  /* text-transform: uppercase; */
  text-align: left;
  margin-top: 50px;
  margin-bottom: 50px;
  margin-left: 300px;
}
hr.line2 {
  display: inline-block;
  margin-left: 600px;
  margin-top: -65px;
  width: 25%;
  position: absolute;
  background-color: var(--text-color2);
  height: 0.1px;
  border: 0;
}

.services {
  display: flex;
  flex-wrap: wrap;
  justify-content: space-around;
  text-align: center;
  width: auto;
}

.service-box {
  width: 400px;
  height: 400px;
  margin: 20px;
  position: relative;
  color: var(--text-color1);
  margin: 40px 5px 5px 5px;
  cursor: pointer;
  background: var(--accent-color);
  border: 4px solid var(--accent-color);
  /* border: 4px solid rgba(0, 0, 0, 0.1); */
  box-shadow: 4px 6px 6px 1px rgba(0, 0, 0, 0.2);
}

.service-box .bg-overlay {
  width: 100%;
  height: 100%;
  overflow: hidden;
  position: relative;
}

.service-box-tophalf,
.service-box-bottomhalf {
  height: 50%;
  width: 100%;
  background: var(--bg-dark-blue);
  filter: opacity(100%);
  opacity: 0.8;
  position: absolute;
  -webkit-transform: translateY(0%);
  transform: translateY(0%);
  -webkit-transition: transform 200ms ease-in-out;
  transition: transform 200ms ease-in-out;
}

.service-box-tophalf {
  top: 0px;
}

.service-box-bottomhalf {
  bottom: 0px;
}

.services .background-1 {
  background: url("/img/mentor_img.png"),
    linear-gradient(rgba(0, 0, 0, 0.3), rgba(0, 0, 0, 0.3));
  background-blend-mode: overlay;
  background-size: cover;
  background-repeat: none;
  background-position: center;
}

.services .background-2 {
  background: url("/img/webdev.png"),
    linear-gradient(rgba(0, 0, 0, 0.3), rgba(0, 0, 0, 0.3));
  background-blend-mode: overlay;
  background-size: cover;
  background-repeat: none;
  background-position: center;
}

.services .background-3 {
  background: url("/img/consulting.png"),
    linear-gradient(rgba(0, 0, 0, 0.3), rgba(0, 0, 0, 0.3));
  background-blend-mode: overlay;
  background-size: cover;
  background-repeat: none;
  background-position: center;
}

.service-icon {
  margin: 20px auto 10px auto;
  width: 50px;
  height: 50px;
  font-size: 2rem;
  background: var(--accent-color);
  border-radius: 50%;
  border: 2px solid transparent;
  -webkit-transition: transform 300ms ease-in-out;
  transition: transform 300ms ease-in-out;
}

.service-icon i {
  font-size: 1.75rem;
  color: var(--bg-dark-blue);
}

.service-content {
  z-index: 9;
  position: absolute;
  padding: 10px;
}

.service-title {
  font-size: 1.5rem;
  font-weight: 500px;
  padding-bottom: 18px;
  -webkit-transition: transform 300ms ease, opacity 300ms ease;
  transition: transform 300ms ease, opacity 300ms ease;
}

.service-description {
  padding-bottom: 10px;
  -webkit-transition: transform 300ms ease, opacity 300ms ease;
  transition: transform 300ms ease, opacity 300ms ease;
}

.service-button {
  background: var(--bg-dark-blue);
  width: 20%;
  margin: 0 auto;
  margin-bottom: 5px;
  padding: 5px;
  border-radius: 20px;
  opacity: 0;
  -webkit-transform: translateY(20px);
  transform: translateY(20px);
  -webkit-transition: transform 200ms ease, opacity 200ms ease;
  transition: transform 200ms ease, opacity 200ms ease;
}

.service-button2 {
  background: var(--bg-dark-blue);
  width: 20%;
  margin: 0 auto;
  padding: 5px;
  border-radius: 20px;
  opacity: 0;
  -webkit-transform: translateY(20px);
  transform: translateY(20px);
  -webkit-transition: transform 200ms ease, opacity 200ms ease;
  transition: transform 200ms ease, opacity 200ms ease;
}

.service-button a {
  text-decoration: none;
  color: var(--text-color2);
}

.service-button2 a {
  text-decoration: none;
  color: var(--text-color2);
}

/* Animate on hover */

.service-box:hover .service-box-tophalf {
  -webkit-transform: translateY(-100%);
  transform: translateY(-100%);
}

.service-box:hover .service-box-bottomhalf {
  -webkit-transform: translateY(100%);
  transform: translateY(100%);
}

.service-box:hover .service-icon {
  -webkit-transform: translateY(-60px) scale(1.6);
  transform: translateY(-60px) scale(1.6);
  border: 2px solid var(--text-color2);
}

.service-box:hover .service-title {
  -webkit-transform: translateY(-40px);
  transform: translateY(-40px);
  opacity: 0;
}

.service-box:hover .service-description {
  -webkit-transform: translateY(40px);
  transform: translateY(40px);
  opacity: 0;
}

.service-box:hover .service-button {
  opacity: 1;
  -webkit-transform: translateY(-40px);
  transform: translateY(-40px);
  -webkit-transition-delay: 150ms;
  transition-delay: 150ms;
}

.service-box:hover .service-button2 {
  opacity: 1;
  -webkit-transform: translateY(-40px);
  transform: translateY(-40px);
  -webkit-transition-delay: 150ms;
  transition-delay: 150ms;
}

@media (max-width: 768px) {
  .service-box {
    -webkit-transform: scale(0.8);
    transform: scale(0.8);
    margin: 5px;
  }
}

#button-projects {
  align-items: center;
  justify-content: center;
  margin-left: 42%;
  margin-top: 50px;
  padding: 15px 80px;
  font-size: 1.5rem;
  letter-spacing: 1.5px;
}

/* Contact Me section */
.container-contact {
  line-height: 30px;
  /* max-width: 400px; */
  width: 40%;
  margin: 0 auto;
  position: relative;
}

.container-contact h1 {
  color: var(--text-color1);
  font-size: 22px;
  /* text-transform: uppercase; */
  text-align: left;
  margin-top: 50px;
  margin-bottom: 50px;
  margin-left: 200px;
}
hr.line3 {
  display: inline-block;
  margin-left: 400px;
  margin-top: -65px;
  width: 65%;
  position: absolute;
  background-color: var(--text-color2);
  height: 0.1px;
  border: 0;
}

#contact input[type="text"],
#contact input[type="email"],
#contact input[type="tel"],
/* #contact input[type="url"], */
#contact textarea,
#contact button[type="submit"] {
  font: 400 16px/16px;
}

#contact {
  background: var(--bg-dark-blue);
  padding: 25px;
  margin: 15px;
  /* margin: 150px 0; */
  box-shadow: 0 0 20px 0 rgba(0, 0, 0, 0.2), 0 5px 5px 0 rgba(0, 0, 0, 0.24);
}

/* #contact h3 {
  display: block;
  font-size: 30px;
  font-weight: 300;
  margin-bottom: 10px;
}

#contact h4 {
  margin: 5px 0 15px;
  display: block;
  font-size: 18px;
  font-weight: 400;
} */

fieldset {
  border: medium none !important;
  margin: 0 0 10px;
  min-width: 100%;
  padding: 0;
  width: 100%;
}

#contact input[type="text"],
#contact input[type="email"],
#contact input[type="tel"],
/* #contact input[type="url"], */
#contact textarea {
  width: 100%;
  border: 1px solid var(--accent-color);
  background: var(--text-color2);
  margin: 0 0 5px;
  padding: 10px;
  font-size: 18px;
}

#contact input[type="text"]:hover,
#contact input[type="email"]:hover,
#contact input[type="tel"]:hover,
/* #contact input[type="url"]:hover, */
#contact textarea:hover {
  -webkit-transition: border-color 0.3s ease-in-out;
  -moz-transition: border-color 0.3s ease-in-out;
  transition: border-color 0.3s ease-in-out;
  border: 1px solid var(--accent-color);
}

#contact textarea {
  height: 100px;
  max-width: 100%;
  resize: none;
}

#contact button[type="submit"] {
  cursor: pointer;
  width: 100%;
  border: 1px solid var(--accent-color);
  background: var(--bg-dark-blue);
  color: var(--text-color2);
  margin: 0 0 5px;
  padding: 10px;
  font-size: 1.5rem;
  letter-spacing: 1.5px;
}

#contact button[type="submit"]:hover {
  /* background: #43a047; */
  cursor: pointer;
  background: rgba(95, 241, 207, 0.3);
  -webkit-transition: background 0.3s ease-in-out;
  -moz-transition: background 0.3s ease-in-out;
  transition: background-color 0.3s ease-in-out;
}

#contact button[type="submit"]:active {
  box-shadow: inset 0 1px 3px rgba(0, 0, 0, 0.5);
}

#contact input:focus,
#contact textarea:focus {
  outline: 0;
  border: 1px solid var(--accent-color);
}

::-webkit-input-placeholder {
  color: var(--bg-dark-blue);
}

:-moz-placeholder {
  color: var(--bg-dark-blue);
}

::-moz-placeholder {
  color: var(--bg-dark-blue);
}

:-ms-input-placeholder {
  color: var(--bg-dark-blue);
}

/* Footer styling */

footer {
  display: flex;
  height: auto;
  width: 100%;
  margin-top: 100px;
  padding: 25px;
  box-shadow: 0 0 20px 0 rgba(0, 0, 0, 0.2), 0 5px 5px 0 rgba(0, 0, 0, 0.24);
  justify-content: center;
  text-align: center;
}

.copyright a {
  color: var(--text-color2);
  letter-spacing: 0.05rem;
  text-decoration: none;
}
